hakyll-4.9.8.0: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Core.Writable

Description

Describes writable items; items that can be saved to the disk

Synopsis

- class Writable a where

# Documentation

class Writable a where Source #

Describes an item that can be saved to the disk

Minimal complete definition

write

Methods

write :: FilePath -> Item a -> IO () Source #

Save an item to the given filepath

Instances

Writable () Source # |
Methods write :: FilePath -> Item () -> IO () Source #
Writable ByteString Source # |
Methods write :: FilePath -> Item ByteString -> IO () Source #
Writable ByteString Source # |
Methods write :: FilePath -> Item ByteString -> IO () Source #
Writable Html Source # |
Methods write :: FilePath -> Item Html -> IO () Source #
Writable TmpFile Source # |
Methods write :: FilePath -> Item TmpFile -> IO () Source #
Writable CopyFile Source # |
Methods write :: FilePath -> Item CopyFile -> IO () Source #
Writable Biblio Source # |
Methods write :: FilePath -> Item Biblio -> IO () Source #
Writable CSL Source # |
Methods write :: FilePath -> Item CSL -> IO () Source #
Writable Redirect Source # |
Methods write :: FilePath -> Item Redirect -> IO () Source #
Writable Template Source # |
Methods write :: FilePath -> Item Template -> IO () Source #
Writable [Char] Source # |
Methods write :: FilePath -> Item [Char] -> IO () Source #
Writable [Word8] Source # |
Methods write :: FilePath -> Item [Word8] -> IO () Source #